IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/103
Addresses33,554,432
/64 networksPart of one
- Network
2c19:dd:d9:dd:c25:c25:fe00:0/103- First address
2c19:dd:d9:dd:c25:c25:fe00:0- Last address
2c19:dd:d9:dd:c25:c25:ffff:ffff- Addresses
- 33,554,432
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:00d9:00dd:0c25:0c25:fe00:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
e.f.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpaf.f.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/103 is not on a 4-bit boundary, so it takes 2 /104 zones.
Split into smaller subnets
2c19:dd:d9:dd:c25:c25:fe00:0/103 makes 512 subnets of /112; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:d9:dd:c25:c25:fe00:0/112 | 2c19:dd:d9:dd:c25:c25:fe00:ffff |
| 2 | 2c19:dd:d9:dd:c25:c25:fe01:0/112 | 2c19:dd:d9:dd:c25:c25:fe01:ffff |
| 3 | 2c19:dd:d9:dd:c25:c25:fe02:0/112 | 2c19:dd:d9:dd:c25:c25:fe02:ffff |
| 4 | 2c19:dd:d9:dd:c25:c25:fe03:0/112 | 2c19:dd:d9:dd:c25:c25:fe03:ffff |
| 5 | 2c19:dd:d9:dd:c25:c25:fe04:0/112 | 2c19:dd:d9:dd:c25:c25:fe04:ffff |
| 6 | 2c19:dd:d9:dd:c25:c25:fe05:0/112 | 2c19:dd:d9:dd:c25:c25:fe05:ffff |
| 7 | 2c19:dd:d9:dd:c25:c25:fe06:0/112 | 2c19:dd:d9:dd:c25:c25:fe06:ffff |
| 8 | 2c19:dd:d9:dd:c25:c25:fe07:0/112 | 2c19:dd:d9:dd:c25:c25:fe07:ffff |
| 9 | 2c19:dd:d9:dd:c25:c25:fe08:0/112 | 2c19:dd:d9:dd:c25:c25:fe08:ffff |
| 10 | 2c19:dd:d9:dd:c25:c25:fe09:0/112 | 2c19:dd:d9:dd:c25:c25:fe09:ffff |
| 11 | 2c19:dd:d9:dd:c25:c25:fe0a:0/112 | 2c19:dd:d9:dd:c25:c25:fe0a:ffff |
| 12 | 2c19:dd:d9:dd:c25:c25:fe0b:0/112 | 2c19:dd:d9:dd:c25:c25:fe0b:ffff |
| 13 | 2c19:dd:d9:dd:c25:c25:fe0c:0/112 | 2c19:dd:d9:dd:c25:c25:fe0c:ffff |
| 14 | 2c19:dd:d9:dd:c25:c25:fe0d:0/112 | 2c19:dd:d9:dd:c25:c25:fe0d:ffff |
| 15 | 2c19:dd:d9:dd:c25:c25:fe0e:0/112 | 2c19:dd:d9:dd:c25:c25:fe0e:ffff |
| 16 | 2c19:dd:d9:dd:c25:c25:fe0f:0/112 | 2c19:dd:d9:dd:c25:c25:fe0f:ffff |
| 17 | 2c19:dd:d9:dd:c25:c25:fe10:0/112 | 2c19:dd:d9:dd:c25:c25:fe10:ffff |
| 18 | 2c19:dd:d9:dd:c25:c25:fe11:0/112 | 2c19:dd:d9:dd:c25:c25:fe11:ffff |
| 19 | 2c19:dd:d9:dd:c25:c25:fe12:0/112 | 2c19:dd:d9:dd:c25:c25:fe12:ffff |
| 20 | 2c19:dd:d9:dd:c25:c25:fe13:0/112 | 2c19:dd:d9:dd:c25:c25:fe13:ffff |
| 21 | 2c19:dd:d9:dd:c25:c25:fe14:0/112 | 2c19:dd:d9:dd:c25:c25:fe14:ffff |
| 22 | 2c19:dd:d9:dd:c25:c25:fe15:0/112 | 2c19:dd:d9:dd:c25:c25:fe15:ffff |
| 23 | 2c19:dd:d9:dd:c25:c25:fe16:0/112 | 2c19:dd:d9:dd:c25:c25:fe16:ffff |
| 24 | 2c19:dd:d9:dd:c25:c25:fe17:0/112 | 2c19:dd:d9:dd:c25:c25:fe17:ffff |
| 25 | 2c19:dd:d9:dd:c25:c25:fe18:0/112 | 2c19:dd:d9:dd:c25:c25:fe18:ffff |
| 26 | 2c19:dd:d9:dd:c25:c25:fe19:0/112 | 2c19:dd:d9:dd:c25:c25:fe19:ffff |
| 27 | 2c19:dd:d9:dd:c25:c25:fe1a:0/112 | 2c19:dd:d9:dd:c25:c25:fe1a:ffff |
| 28 | 2c19:dd:d9:dd:c25:c25:fe1b:0/112 | 2c19:dd:d9:dd:c25:c25:fe1b:ffff |
| 29 | 2c19:dd:d9:dd:c25:c25:fe1c:0/112 | 2c19:dd:d9:dd:c25:c25:fe1c:ffff |
| 30 | 2c19:dd:d9:dd:c25:c25:fe1d:0/112 | 2c19:dd:d9:dd:c25:c25:fe1d:ffff |
| 31 | 2c19:dd:d9:dd:c25:c25:fe1e:0/112 | 2c19:dd:d9:dd:c25:c25:fe1e:ffff |
| 32 | 2c19:dd:d9:dd:c25:c25:fe1f:0/112 | 2c19:dd:d9:dd:c25:c25:fe1f:ffff |
| 33 | 2c19:dd:d9:dd:c25:c25:fe20:0/112 | 2c19:dd:d9:dd:c25:c25:fe20:ffff |
| 34 | 2c19:dd:d9:dd:c25:c25:fe21:0/112 | 2c19:dd:d9:dd:c25:c25:fe21:ffff |
| 35 | 2c19:dd:d9:dd:c25:c25:fe22:0/112 | 2c19:dd:d9:dd:c25:c25:fe22:ffff |
| 36 | 2c19:dd:d9:dd:c25:c25:fe23:0/112 | 2c19:dd:d9:dd:c25:c25:fe23:ffff |
| 37 | 2c19:dd:d9:dd:c25:c25:fe24:0/112 | 2c19:dd:d9:dd:c25:c25:fe24:ffff |
| 38 | 2c19:dd:d9:dd:c25:c25:fe25:0/112 | 2c19:dd:d9:dd:c25:c25:fe25:ffff |
| 39 | 2c19:dd:d9:dd:c25:c25:fe26:0/112 | 2c19:dd:d9:dd:c25:c25:fe26:ffff |
| 40 | 2c19:dd:d9:dd:c25:c25:fe27:0/112 | 2c19:dd:d9:dd:c25:c25:fe27:ffff |
| 41 | 2c19:dd:d9:dd:c25:c25:fe28:0/112 | 2c19:dd:d9:dd:c25:c25:fe28:ffff |
| 42 | 2c19:dd:d9:dd:c25:c25:fe29:0/112 | 2c19:dd:d9:dd:c25:c25:fe29:ffff |
| 43 | 2c19:dd:d9:dd:c25:c25:fe2a:0/112 | 2c19:dd:d9:dd:c25:c25:fe2a:ffff |
| 44 | 2c19:dd:d9:dd:c25:c25:fe2b:0/112 | 2c19:dd:d9:dd:c25:c25:fe2b:ffff |
| 45 | 2c19:dd:d9:dd:c25:c25:fe2c:0/112 | 2c19:dd:d9:dd:c25:c25:fe2c:ffff |
| 46 | 2c19:dd:d9:dd:c25:c25:fe2d:0/112 | 2c19:dd:d9:dd:c25:c25:fe2d:ffff |
| 47 | 2c19:dd:d9:dd:c25:c25:fe2e:0/112 | 2c19:dd:d9:dd:c25:c25:fe2e:ffff |
| 48 | 2c19:dd:d9:dd:c25:c25:fe2f:0/112 | 2c19:dd:d9:dd:c25:c25:fe2f:ffff |
| 49 | 2c19:dd:d9:dd:c25:c25:fe30:0/112 | 2c19:dd:d9:dd:c25:c25:fe30:ffff |
| 50 | 2c19:dd:d9:dd:c25:c25:fe31:0/112 | 2c19:dd:d9:dd:c25:c25:fe31:ffff |
| 51 | 2c19:dd:d9:dd:c25:c25:fe32:0/112 | 2c19:dd:d9:dd:c25:c25:fe32:ffff |
| 52 | 2c19:dd:d9:dd:c25:c25:fe33:0/112 | 2c19:dd:d9:dd:c25:c25:fe33:ffff |
| 53 | 2c19:dd:d9:dd:c25:c25:fe34:0/112 | 2c19:dd:d9:dd:c25:c25:fe34:ffff |
| 54 | 2c19:dd:d9:dd:c25:c25:fe35:0/112 | 2c19:dd:d9:dd:c25:c25:fe35:ffff |
| 55 | 2c19:dd:d9:dd:c25:c25:fe36:0/112 | 2c19:dd:d9:dd:c25:c25:fe36:ffff |
| 56 | 2c19:dd:d9:dd:c25:c25:fe37:0/112 | 2c19:dd:d9:dd:c25:c25:fe37:ffff |
| 57 | 2c19:dd:d9:dd:c25:c25:fe38:0/112 | 2c19:dd:d9:dd:c25:c25:fe38:ffff |
| 58 | 2c19:dd:d9:dd:c25:c25:fe39:0/112 | 2c19:dd:d9:dd:c25:c25:fe39:ffff |
| 59 | 2c19:dd:d9:dd:c25:c25:fe3a:0/112 | 2c19:dd:d9:dd:c25:c25:fe3a:ffff |
| 60 | 2c19:dd:d9:dd:c25:c25:fe3b:0/112 | 2c19:dd:d9:dd:c25:c25:fe3b:ffff |
| 61 | 2c19:dd:d9:dd:c25:c25:fe3c:0/112 | 2c19:dd:d9:dd:c25:c25:fe3c:ffff |
| 62 | 2c19:dd:d9:dd:c25:c25:fe3d:0/112 | 2c19:dd:d9:dd:c25:c25:fe3d:ffff |
| 63 | 2c19:dd:d9:dd:c25:c25:fe3e:0/112 | 2c19:dd:d9:dd:c25:c25:fe3e:ffff |
| 64 | 2c19:dd:d9:dd:c25:c25:fe3f:0/112 | 2c19:dd:d9:dd:c25:c25:fe3f:ffff |
| 65 | 2c19:dd:d9:dd:c25:c25:fe40:0/112 | 2c19:dd:d9:dd:c25:c25:fe40:ffff |
| 66 | 2c19:dd:d9:dd:c25:c25:fe41:0/112 | 2c19:dd:d9:dd:c25:c25:fe41:ffff |
| 67 | 2c19:dd:d9:dd:c25:c25:fe42:0/112 | 2c19:dd:d9:dd:c25:c25:fe42:ffff |
| 68 | 2c19:dd:d9:dd:c25:c25:fe43:0/112 | 2c19:dd:d9:dd:c25:c25:fe43:ffff |
| 69 | 2c19:dd:d9:dd:c25:c25:fe44:0/112 | 2c19:dd:d9:dd:c25:c25:fe44:ffff |
| 70 | 2c19:dd:d9:dd:c25:c25:fe45:0/112 | 2c19:dd:d9:dd:c25:c25:fe45:ffff |
| 71 | 2c19:dd:d9:dd:c25:c25:fe46:0/112 | 2c19:dd:d9:dd:c25:c25:fe46:ffff |
| 72 | 2c19:dd:d9:dd:c25:c25:fe47:0/112 | 2c19:dd:d9:dd:c25:c25:fe47:ffff |
| 73 | 2c19:dd:d9:dd:c25:c25:fe48:0/112 | 2c19:dd:d9:dd:c25:c25:fe48:ffff |
| 74 | 2c19:dd:d9:dd:c25:c25:fe49:0/112 | 2c19:dd:d9:dd:c25:c25:fe49:ffff |
| 75 | 2c19:dd:d9:dd:c25:c25:fe4a:0/112 | 2c19:dd:d9:dd:c25:c25:fe4a:ffff |
| 76 | 2c19:dd:d9:dd:c25:c25:fe4b:0/112 | 2c19:dd:d9:dd:c25:c25:fe4b:ffff |
| 77 | 2c19:dd:d9:dd:c25:c25:fe4c:0/112 | 2c19:dd:d9:dd:c25:c25:fe4c:ffff |
| 78 | 2c19:dd:d9:dd:c25:c25:fe4d:0/112 | 2c19:dd:d9:dd:c25:c25:fe4d:ffff |
| 79 | 2c19:dd:d9:dd:c25:c25:fe4e:0/112 | 2c19:dd:d9:dd:c25:c25:fe4e:ffff |
| 80 | 2c19:dd:d9:dd:c25:c25:fe4f:0/112 | 2c19:dd:d9:dd:c25:c25:fe4f:ffff |
| 81 | 2c19:dd:d9:dd:c25:c25:fe50:0/112 | 2c19:dd:d9:dd:c25:c25:fe50:ffff |
| 82 | 2c19:dd:d9:dd:c25:c25:fe51:0/112 | 2c19:dd:d9:dd:c25:c25:fe51:ffff |
| 83 | 2c19:dd:d9:dd:c25:c25:fe52:0/112 | 2c19:dd:d9:dd:c25:c25:fe52:ffff |
| 84 | 2c19:dd:d9:dd:c25:c25:fe53:0/112 | 2c19:dd:d9:dd:c25:c25:fe53:ffff |
| 85 | 2c19:dd:d9:dd:c25:c25:fe54:0/112 | 2c19:dd:d9:dd:c25:c25:fe54:ffff |
| 86 | 2c19:dd:d9:dd:c25:c25:fe55:0/112 | 2c19:dd:d9:dd:c25:c25:fe55:ffff |
| 87 | 2c19:dd:d9:dd:c25:c25:fe56:0/112 | 2c19:dd:d9:dd:c25:c25:fe56:ffff |
| 88 | 2c19:dd:d9:dd:c25:c25:fe57:0/112 | 2c19:dd:d9:dd:c25:c25:fe57:ffff |
| 89 | 2c19:dd:d9:dd:c25:c25:fe58:0/112 | 2c19:dd:d9:dd:c25:c25:fe58:ffff |
| 90 | 2c19:dd:d9:dd:c25:c25:fe59:0/112 | 2c19:dd:d9:dd:c25:c25:fe59:ffff |
| 91 | 2c19:dd:d9:dd:c25:c25:fe5a:0/112 | 2c19:dd:d9:dd:c25:c25:fe5a:ffff |
| 92 | 2c19:dd:d9:dd:c25:c25:fe5b:0/112 | 2c19:dd:d9:dd:c25:c25:fe5b:ffff |
| 93 | 2c19:dd:d9:dd:c25:c25:fe5c:0/112 | 2c19:dd:d9:dd:c25:c25:fe5c:ffff |
| 94 | 2c19:dd:d9:dd:c25:c25:fe5d:0/112 | 2c19:dd:d9:dd:c25:c25:fe5d:ffff |
| 95 | 2c19:dd:d9:dd:c25:c25:fe5e:0/112 | 2c19:dd:d9:dd:c25:c25:fe5e:ffff |
| 96 | 2c19:dd:d9:dd:c25:c25:fe5f:0/112 | 2c19:dd:d9:dd:c25:c25:fe5f:ffff |
| 97 | 2c19:dd:d9:dd:c25:c25:fe60:0/112 | 2c19:dd:d9:dd:c25:c25:fe60:ffff |
| 98 | 2c19:dd:d9:dd:c25:c25:fe61:0/112 | 2c19:dd:d9:dd:c25:c25:fe61:ffff |
| 99 | 2c19:dd:d9:dd:c25:c25:fe62:0/112 | 2c19:dd:d9:dd:c25:c25:fe62:ffff |
| 100 | 2c19:dd:d9:dd:c25:c25:fe63:0/112 | 2c19:dd:d9:dd:c25:c25:fe63:ffff |
| 101 | 2c19:dd:d9:dd:c25:c25:fe64:0/112 | 2c19:dd:d9:dd:c25:c25:fe64:ffff |
| 102 | 2c19:dd:d9:dd:c25:c25:fe65:0/112 | 2c19:dd:d9:dd:c25:c25:fe65:ffff |
| 103 | 2c19:dd:d9:dd:c25:c25:fe66:0/112 | 2c19:dd:d9:dd:c25:c25:fe66:ffff |
| 104 | 2c19:dd:d9:dd:c25:c25:fe67:0/112 | 2c19:dd:d9:dd:c25:c25:fe67:ffff |
| 105 | 2c19:dd:d9:dd:c25:c25:fe68:0/112 | 2c19:dd:d9:dd:c25:c25:fe68:ffff |
| 106 | 2c19:dd:d9:dd:c25:c25:fe69:0/112 | 2c19:dd:d9:dd:c25:c25:fe69:ffff |
| 107 | 2c19:dd:d9:dd:c25:c25:fe6a:0/112 | 2c19:dd:d9:dd:c25:c25:fe6a:ffff |
| 108 | 2c19:dd:d9:dd:c25:c25:fe6b:0/112 | 2c19:dd:d9:dd:c25:c25:fe6b:ffff |
| 109 | 2c19:dd:d9:dd:c25:c25:fe6c:0/112 | 2c19:dd:d9:dd:c25:c25:fe6c:ffff |
| 110 | 2c19:dd:d9:dd:c25:c25:fe6d:0/112 | 2c19:dd:d9:dd:c25:c25:fe6d:ffff |
| 111 | 2c19:dd:d9:dd:c25:c25:fe6e:0/112 | 2c19:dd:d9:dd:c25:c25:fe6e:ffff |
| 112 | 2c19:dd:d9:dd:c25:c25:fe6f:0/112 | 2c19:dd:d9:dd:c25:c25:fe6f:ffff |
| 113 | 2c19:dd:d9:dd:c25:c25:fe70:0/112 | 2c19:dd:d9:dd:c25:c25:fe70:ffff |
| 114 | 2c19:dd:d9:dd:c25:c25:fe71:0/112 | 2c19:dd:d9:dd:c25:c25:fe71:ffff |
| 115 | 2c19:dd:d9:dd:c25:c25:fe72:0/112 | 2c19:dd:d9:dd:c25:c25:fe72:ffff |
| 116 | 2c19:dd:d9:dd:c25:c25:fe73:0/112 | 2c19:dd:d9:dd:c25:c25:fe73:ffff |
| 117 | 2c19:dd:d9:dd:c25:c25:fe74:0/112 | 2c19:dd:d9:dd:c25:c25:fe74:ffff |
| 118 | 2c19:dd:d9:dd:c25:c25:fe75:0/112 | 2c19:dd:d9:dd:c25:c25:fe75:ffff |
| 119 | 2c19:dd:d9:dd:c25:c25:fe76:0/112 | 2c19:dd:d9:dd:c25:c25:fe76:ffff |
| 120 | 2c19:dd:d9:dd:c25:c25:fe77:0/112 | 2c19:dd:d9:dd:c25:c25:fe77:ffff |
| 121 | 2c19:dd:d9:dd:c25:c25:fe78:0/112 | 2c19:dd:d9:dd:c25:c25:fe78:ffff |
| 122 | 2c19:dd:d9:dd:c25:c25:fe79:0/112 | 2c19:dd:d9:dd:c25:c25:fe79:ffff |
| 123 | 2c19:dd:d9:dd:c25:c25:fe7a:0/112 | 2c19:dd:d9:dd:c25:c25:fe7a:ffff |
| 124 | 2c19:dd:d9:dd:c25:c25:fe7b:0/112 | 2c19:dd:d9:dd:c25:c25:fe7b:ffff |
| 125 | 2c19:dd:d9:dd:c25:c25:fe7c:0/112 | 2c19:dd:d9:dd:c25:c25:fe7c:ffff |
| 126 | 2c19:dd:d9:dd:c25:c25:fe7d:0/112 | 2c19:dd:d9:dd:c25:c25:fe7d:ffff |
| 127 | 2c19:dd:d9:dd:c25:c25:fe7e:0/112 | 2c19:dd:d9:dd:c25:c25:fe7e:ffff |
| 128 | 2c19:dd:d9:dd:c25:c25:fe7f:0/112 | 2c19:dd:d9:dd:c25:c25:fe7f:ffff |
| 129 | 2c19:dd:d9:dd:c25:c25:fe80:0/112 | 2c19:dd:d9:dd:c25:c25:fe80:ffff |
| 130 | 2c19:dd:d9:dd:c25:c25:fe81:0/112 | 2c19:dd:d9:dd:c25:c25:fe81:ffff |
| 131 | 2c19:dd:d9:dd:c25:c25:fe82:0/112 | 2c19:dd:d9:dd:c25:c25:fe82:ffff |
| 132 | 2c19:dd:d9:dd:c25:c25:fe83:0/112 | 2c19:dd:d9:dd:c25:c25:fe83:ffff |
| 133 | 2c19:dd:d9:dd:c25:c25:fe84:0/112 | 2c19:dd:d9:dd:c25:c25:fe84:ffff |
| 134 | 2c19:dd:d9:dd:c25:c25:fe85:0/112 | 2c19:dd:d9:dd:c25:c25:fe85:ffff |
| 135 | 2c19:dd:d9:dd:c25:c25:fe86:0/112 | 2c19:dd:d9:dd:c25:c25:fe86:ffff |
| 136 | 2c19:dd:d9:dd:c25:c25:fe87:0/112 | 2c19:dd:d9:dd:c25:c25:fe87:ffff |
| 137 | 2c19:dd:d9:dd:c25:c25:fe88:0/112 | 2c19:dd:d9:dd:c25:c25:fe88:ffff |
| 138 | 2c19:dd:d9:dd:c25:c25:fe89:0/112 | 2c19:dd:d9:dd:c25:c25:fe89:ffff |
| 139 | 2c19:dd:d9:dd:c25:c25:fe8a:0/112 | 2c19:dd:d9:dd:c25:c25:fe8a:ffff |
| 140 | 2c19:dd:d9:dd:c25:c25:fe8b:0/112 | 2c19:dd:d9:dd:c25:c25:fe8b:ffff |
| 141 | 2c19:dd:d9:dd:c25:c25:fe8c:0/112 | 2c19:dd:d9:dd:c25:c25:fe8c:ffff |
| 142 | 2c19:dd:d9:dd:c25:c25:fe8d:0/112 | 2c19:dd:d9:dd:c25:c25:fe8d:ffff |
| 143 | 2c19:dd:d9:dd:c25:c25:fe8e:0/112 | 2c19:dd:d9:dd:c25:c25:fe8e:ffff |
| 144 | 2c19:dd:d9:dd:c25:c25:fe8f:0/112 | 2c19:dd:d9:dd:c25:c25:fe8f:ffff |
| 145 | 2c19:dd:d9:dd:c25:c25:fe90:0/112 | 2c19:dd:d9:dd:c25:c25:fe90:ffff |
| 146 | 2c19:dd:d9:dd:c25:c25:fe91:0/112 | 2c19:dd:d9:dd:c25:c25:fe91:ffff |
| 147 | 2c19:dd:d9:dd:c25:c25:fe92:0/112 | 2c19:dd:d9:dd:c25:c25:fe92:ffff |
| 148 | 2c19:dd:d9:dd:c25:c25:fe93:0/112 | 2c19:dd:d9:dd:c25:c25:fe93:ffff |
| 149 | 2c19:dd:d9:dd:c25:c25:fe94:0/112 | 2c19:dd:d9:dd:c25:c25:fe94:ffff |
| 150 | 2c19:dd:d9:dd:c25:c25:fe95:0/112 | 2c19:dd:d9:dd:c25:c25:fe95:ffff |
| 151 | 2c19:dd:d9:dd:c25:c25:fe96:0/112 | 2c19:dd:d9:dd:c25:c25:fe96:ffff |
| 152 | 2c19:dd:d9:dd:c25:c25:fe97:0/112 | 2c19:dd:d9:dd:c25:c25:fe97:ffff |
| 153 | 2c19:dd:d9:dd:c25:c25:fe98:0/112 | 2c19:dd:d9:dd:c25:c25:fe98:ffff |
| 154 | 2c19:dd:d9:dd:c25:c25:fe99:0/112 | 2c19:dd:d9:dd:c25:c25:fe99:ffff |
| 155 | 2c19:dd:d9:dd:c25:c25:fe9a:0/112 | 2c19:dd:d9:dd:c25:c25:fe9a:ffff |
| 156 | 2c19:dd:d9:dd:c25:c25:fe9b:0/112 | 2c19:dd:d9:dd:c25:c25:fe9b:ffff |
| 157 | 2c19:dd:d9:dd:c25:c25:fe9c:0/112 | 2c19:dd:d9:dd:c25:c25:fe9c:ffff |
| 158 | 2c19:dd:d9:dd:c25:c25:fe9d:0/112 | 2c19:dd:d9:dd:c25:c25:fe9d:ffff |
| 159 | 2c19:dd:d9:dd:c25:c25:fe9e:0/112 | 2c19:dd:d9:dd:c25:c25:fe9e:ffff |
| 160 | 2c19:dd:d9:dd:c25:c25:fe9f:0/112 | 2c19:dd:d9:dd:c25:c25:fe9f:ffff |
| 161 | 2c19:dd:d9:dd:c25:c25:fea0:0/112 | 2c19:dd:d9:dd:c25:c25:fea0:ffff |
| 162 | 2c19:dd:d9:dd:c25:c25:fea1:0/112 | 2c19:dd:d9:dd:c25:c25:fea1:ffff |
| 163 | 2c19:dd:d9:dd:c25:c25:fea2:0/112 | 2c19:dd:d9:dd:c25:c25:fea2:ffff |
| 164 | 2c19:dd:d9:dd:c25:c25:fea3:0/112 | 2c19:dd:d9:dd:c25:c25:fea3:ffff |
| 165 | 2c19:dd:d9:dd:c25:c25:fea4:0/112 | 2c19:dd:d9:dd:c25:c25:fea4:ffff |
| 166 | 2c19:dd:d9:dd:c25:c25:fea5:0/112 | 2c19:dd:d9:dd:c25:c25:fea5:ffff |
| 167 | 2c19:dd:d9:dd:c25:c25:fea6:0/112 | 2c19:dd:d9:dd:c25:c25:fea6:ffff |
| 168 | 2c19:dd:d9:dd:c25:c25:fea7:0/112 | 2c19:dd:d9:dd:c25:c25:fea7:ffff |
| 169 | 2c19:dd:d9:dd:c25:c25:fea8:0/112 | 2c19:dd:d9:dd:c25:c25:fea8:ffff |
| 170 | 2c19:dd:d9:dd:c25:c25:fea9:0/112 | 2c19:dd:d9:dd:c25:c25:fea9:ffff |
| 171 | 2c19:dd:d9:dd:c25:c25:feaa:0/112 | 2c19:dd:d9:dd:c25:c25:feaa:ffff |
| 172 | 2c19:dd:d9:dd:c25:c25:feab:0/112 | 2c19:dd:d9:dd:c25:c25:feab:ffff |
| 173 | 2c19:dd:d9:dd:c25:c25:feac:0/112 | 2c19:dd:d9:dd:c25:c25:feac:ffff |
| 174 | 2c19:dd:d9:dd:c25:c25:fead:0/112 | 2c19:dd:d9:dd:c25:c25:fead:ffff |
| 175 | 2c19:dd:d9:dd:c25:c25:feae:0/112 | 2c19:dd:d9:dd:c25:c25:feae:ffff |
| 176 | 2c19:dd:d9:dd:c25:c25:feaf:0/112 | 2c19:dd:d9:dd:c25:c25:feaf:ffff |
| 177 | 2c19:dd:d9:dd:c25:c25:feb0:0/112 | 2c19:dd:d9:dd:c25:c25:feb0:ffff |
| 178 | 2c19:dd:d9:dd:c25:c25:feb1:0/112 | 2c19:dd:d9:dd:c25:c25:feb1:ffff |
| 179 | 2c19:dd:d9:dd:c25:c25:feb2:0/112 | 2c19:dd:d9:dd:c25:c25:feb2:ffff |
| 180 | 2c19:dd:d9:dd:c25:c25:feb3:0/112 | 2c19:dd:d9:dd:c25:c25:feb3:ffff |
| 181 | 2c19:dd:d9:dd:c25:c25:feb4:0/112 | 2c19:dd:d9:dd:c25:c25:feb4:ffff |
| 182 | 2c19:dd:d9:dd:c25:c25:feb5:0/112 | 2c19:dd:d9:dd:c25:c25:feb5:ffff |
| 183 | 2c19:dd:d9:dd:c25:c25:feb6:0/112 | 2c19:dd:d9:dd:c25:c25:feb6:ffff |
| 184 | 2c19:dd:d9:dd:c25:c25:feb7:0/112 | 2c19:dd:d9:dd:c25:c25:feb7:ffff |
| 185 | 2c19:dd:d9:dd:c25:c25:feb8:0/112 | 2c19:dd:d9:dd:c25:c25:feb8:ffff |
| 186 | 2c19:dd:d9:dd:c25:c25:feb9:0/112 | 2c19:dd:d9:dd:c25:c25:feb9:ffff |
| 187 | 2c19:dd:d9:dd:c25:c25:feba:0/112 | 2c19:dd:d9:dd:c25:c25:feba:ffff |
| 188 | 2c19:dd:d9:dd:c25:c25:febb:0/112 | 2c19:dd:d9:dd:c25:c25:febb:ffff |
| 189 | 2c19:dd:d9:dd:c25:c25:febc:0/112 | 2c19:dd:d9:dd:c25:c25:febc:ffff |
| 190 | 2c19:dd:d9:dd:c25:c25:febd:0/112 | 2c19:dd:d9:dd:c25:c25:febd:ffff |
| 191 | 2c19:dd:d9:dd:c25:c25:febe:0/112 | 2c19:dd:d9:dd:c25:c25:febe:ffff |
| 192 | 2c19:dd:d9:dd:c25:c25:febf:0/112 | 2c19:dd:d9:dd:c25:c25:febf:ffff |
| 193 | 2c19:dd:d9:dd:c25:c25:fec0:0/112 | 2c19:dd:d9:dd:c25:c25:fec0:ffff |
| 194 | 2c19:dd:d9:dd:c25:c25:fec1:0/112 | 2c19:dd:d9:dd:c25:c25:fec1:ffff |
| 195 | 2c19:dd:d9:dd:c25:c25:fec2:0/112 | 2c19:dd:d9:dd:c25:c25:fec2:ffff |
| 196 | 2c19:dd:d9:dd:c25:c25:fec3:0/112 | 2c19:dd:d9:dd:c25:c25:fec3:ffff |
| 197 | 2c19:dd:d9:dd:c25:c25:fec4:0/112 | 2c19:dd:d9:dd:c25:c25:fec4:ffff |
| 198 | 2c19:dd:d9:dd:c25:c25:fec5:0/112 | 2c19:dd:d9:dd:c25:c25:fec5:ffff |
| 199 | 2c19:dd:d9:dd:c25:c25:fec6:0/112 | 2c19:dd:d9:dd:c25:c25:fec6:ffff |
| 200 | 2c19:dd:d9:dd:c25:c25:fec7:0/112 | 2c19:dd:d9:dd:c25:c25:fec7:ffff |
| 201 | 2c19:dd:d9:dd:c25:c25:fec8:0/112 | 2c19:dd:d9:dd:c25:c25:fec8:ffff |
| 202 | 2c19:dd:d9:dd:c25:c25:fec9:0/112 | 2c19:dd:d9:dd:c25:c25:fec9:ffff |
| 203 | 2c19:dd:d9:dd:c25:c25:feca:0/112 | 2c19:dd:d9:dd:c25:c25:feca:ffff |
| 204 | 2c19:dd:d9:dd:c25:c25:fecb:0/112 | 2c19:dd:d9:dd:c25:c25:fecb:ffff |
| 205 | 2c19:dd:d9:dd:c25:c25:fecc:0/112 | 2c19:dd:d9:dd:c25:c25:fecc:ffff |
| 206 | 2c19:dd:d9:dd:c25:c25:fecd:0/112 | 2c19:dd:d9:dd:c25:c25:fecd:ffff |
| 207 | 2c19:dd:d9:dd:c25:c25:fece:0/112 | 2c19:dd:d9:dd:c25:c25:fece:ffff |
| 208 | 2c19:dd:d9:dd:c25:c25:fecf:0/112 | 2c19:dd:d9:dd:c25:c25:fecf:ffff |
| 209 | 2c19:dd:d9:dd:c25:c25:fed0:0/112 | 2c19:dd:d9:dd:c25:c25:fed0:ffff |
| 210 | 2c19:dd:d9:dd:c25:c25:fed1:0/112 | 2c19:dd:d9:dd:c25:c25:fed1:ffff |
| 211 | 2c19:dd:d9:dd:c25:c25:fed2:0/112 | 2c19:dd:d9:dd:c25:c25:fed2:ffff |
| 212 | 2c19:dd:d9:dd:c25:c25:fed3:0/112 | 2c19:dd:d9:dd:c25:c25:fed3:ffff |
| 213 | 2c19:dd:d9:dd:c25:c25:fed4:0/112 | 2c19:dd:d9:dd:c25:c25:fed4:ffff |
| 214 | 2c19:dd:d9:dd:c25:c25:fed5:0/112 | 2c19:dd:d9:dd:c25:c25:fed5:ffff |
| 215 | 2c19:dd:d9:dd:c25:c25:fed6:0/112 | 2c19:dd:d9:dd:c25:c25:fed6:ffff |
| 216 | 2c19:dd:d9:dd:c25:c25:fed7:0/112 | 2c19:dd:d9:dd:c25:c25:fed7:ffff |
| 217 | 2c19:dd:d9:dd:c25:c25:fed8:0/112 | 2c19:dd:d9:dd:c25:c25:fed8:ffff |
| 218 | 2c19:dd:d9:dd:c25:c25:fed9:0/112 | 2c19:dd:d9:dd:c25:c25:fed9:ffff |
| 219 | 2c19:dd:d9:dd:c25:c25:feda:0/112 | 2c19:dd:d9:dd:c25:c25:feda:ffff |
| 220 | 2c19:dd:d9:dd:c25:c25:fedb:0/112 | 2c19:dd:d9:dd:c25:c25:fedb:ffff |
| 221 | 2c19:dd:d9:dd:c25:c25:fedc:0/112 | 2c19:dd:d9:dd:c25:c25:fedc:ffff |
| 222 | 2c19:dd:d9:dd:c25:c25:fedd:0/112 | 2c19:dd:d9:dd:c25:c25:fedd:ffff |
| 223 | 2c19:dd:d9:dd:c25:c25:fede:0/112 | 2c19:dd:d9:dd:c25:c25:fede:ffff |
| 224 | 2c19:dd:d9:dd:c25:c25:fedf:0/112 | 2c19:dd:d9:dd:c25:c25:fedf:ffff |
| 225 | 2c19:dd:d9:dd:c25:c25:fee0:0/112 | 2c19:dd:d9:dd:c25:c25:fee0:ffff |
| 226 | 2c19:dd:d9:dd:c25:c25:fee1:0/112 | 2c19:dd:d9:dd:c25:c25:fee1:ffff |
| 227 | 2c19:dd:d9:dd:c25:c25:fee2:0/112 | 2c19:dd:d9:dd:c25:c25:fee2:ffff |
| 228 | 2c19:dd:d9:dd:c25:c25:fee3:0/112 | 2c19:dd:d9:dd:c25:c25:fee3:ffff |
| 229 | 2c19:dd:d9:dd:c25:c25:fee4:0/112 | 2c19:dd:d9:dd:c25:c25:fee4:ffff |
| 230 | 2c19:dd:d9:dd:c25:c25:fee5:0/112 | 2c19:dd:d9:dd:c25:c25:fee5:ffff |
| 231 | 2c19:dd:d9:dd:c25:c25:fee6:0/112 | 2c19:dd:d9:dd:c25:c25:fee6:ffff |
| 232 | 2c19:dd:d9:dd:c25:c25:fee7:0/112 | 2c19:dd:d9:dd:c25:c25:fee7:ffff |
| 233 | 2c19:dd:d9:dd:c25:c25:fee8:0/112 | 2c19:dd:d9:dd:c25:c25:fee8:ffff |
| 234 | 2c19:dd:d9:dd:c25:c25:fee9:0/112 | 2c19:dd:d9:dd:c25:c25:fee9:ffff |
| 235 | 2c19:dd:d9:dd:c25:c25:feea:0/112 | 2c19:dd:d9:dd:c25:c25:feea:ffff |
| 236 | 2c19:dd:d9:dd:c25:c25:feeb:0/112 | 2c19:dd:d9:dd:c25:c25:feeb:ffff |
| 237 | 2c19:dd:d9:dd:c25:c25:feec:0/112 | 2c19:dd:d9:dd:c25:c25:feec:ffff |
| 238 | 2c19:dd:d9:dd:c25:c25:feed:0/112 | 2c19:dd:d9:dd:c25:c25:feed:ffff |
| 239 | 2c19:dd:d9:dd:c25:c25:feee:0/112 | 2c19:dd:d9:dd:c25:c25:feee:ffff |
| 240 | 2c19:dd:d9:dd:c25:c25:feef:0/112 | 2c19:dd:d9:dd:c25:c25:feef:ffff |
| 241 | 2c19:dd:d9:dd:c25:c25:fef0:0/112 | 2c19:dd:d9:dd:c25:c25:fef0:ffff |
| 242 | 2c19:dd:d9:dd:c25:c25:fef1:0/112 | 2c19:dd:d9:dd:c25:c25:fef1:ffff |
| 243 | 2c19:dd:d9:dd:c25:c25:fef2:0/112 | 2c19:dd:d9:dd:c25:c25:fef2:ffff |
| 244 | 2c19:dd:d9:dd:c25:c25:fef3:0/112 | 2c19:dd:d9:dd:c25:c25:fef3:ffff |
| 245 | 2c19:dd:d9:dd:c25:c25:fef4:0/112 | 2c19:dd:d9:dd:c25:c25:fef4:ffff |
| 246 | 2c19:dd:d9:dd:c25:c25:fef5:0/112 | 2c19:dd:d9:dd:c25:c25:fef5:ffff |
| 247 | 2c19:dd:d9:dd:c25:c25:fef6:0/112 | 2c19:dd:d9:dd:c25:c25:fef6:ffff |
| 248 | 2c19:dd:d9:dd:c25:c25:fef7:0/112 | 2c19:dd:d9:dd:c25:c25:fef7:ffff |
| 249 | 2c19:dd:d9:dd:c25:c25:fef8:0/112 | 2c19:dd:d9:dd:c25:c25:fef8:ffff |
| 250 | 2c19:dd:d9:dd:c25:c25:fef9:0/112 | 2c19:dd:d9:dd:c25:c25:fef9:ffff |
| 251 | 2c19:dd:d9:dd:c25:c25:fefa:0/112 | 2c19:dd:d9:dd:c25:c25:fefa:ffff |
| 252 | 2c19:dd:d9:dd:c25:c25:fefb:0/112 | 2c19:dd:d9:dd:c25:c25:fefb:ffff |
| 253 | 2c19:dd:d9:dd:c25:c25:fefc:0/112 | 2c19:dd:d9:dd:c25:c25:fefc:ffff |
| 254 | 2c19:dd:d9:dd:c25:c25:fefd:0/112 | 2c19:dd:d9:dd:c25:c25:fefd:ffff |
| 255 | 2c19:dd:d9:dd:c25:c25:fefe:0/112 | 2c19:dd:d9:dd:c25:c25:fefe:ffff |
| 256 | 2c19:dd:d9:dd:c25:c25:feff:0/112 | 2c19:dd:d9:dd:c25:c25:feff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |